Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.orabulkloader
Class OraBulkDataOutput

    java.lang.Object
      org.pentaho.di.trans.steps.orabulkloader.OraBulkDataOutput

    public class OraBulkDataOutput

extends Object

Does the opening of the output "stream". It's either a file or inter process communication which is transparant to users of this class.

Since:
  20-feb-2007
Author:
  Sven Boden

Constructor Summary
`OraBulkDataOutput(OraBulkLoaderMeta meta, String recTerm)`

Method Summary
`void` | `close()`
`void` | `open(org.pentaho.di.core.variables.VariableSpace space, Process sqlldrProcess)`
`String` | `toString()`
`void` | `writeLine(org.pentaho.di.core.row.RowMetaInterface mi, Object[] row)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OraBulkDataOutput

    public OraBulkDataOutput(OraBulkLoaderMeta meta,
                             String recTerm)

Method Detail

### open

    public void open(org.pentaho.di.core.variables.VariableSpace space,
                     Process sqlldrProcess)
              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

### writeLine

    public void writeLine(org.pentaho.di.core.row.RowMetaInterface mi,
                          Object[] row)
                   throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD